/* SAPI_M.H - mailbox command codes (SDLC only) */

/* SDLC Mailbox commands */
#define SDLC_READ		0x00
#define SDLC_WRITE		0x01
#define SET_SDLC_CONFIGURATION	0x10
#define READ_SDLC_CONFIGURATION 0x11
#define SET_ADAPTER_FREQUENCY	0x12
#define ENABLE_COMMUNICATIONS	0x13
#define DISABLE_COMMUNICATIONS	0x14
#define ADD_STATION		0x15
#define DELETE_STATION		0x16
#define ACTIVATE_STATION	0x17
#define DEACTIVATE_STATION	0x18
#define FLUSH_I_FRAME_BUFFERS	0x19
#define READ_STATION_STATUS	0x20
#define LIST_ADDED_STATIONS	0x21
#define LIST_STATIONS_IN_NRM	0x22
#define LIST_STATIONS_WITH_I_FRAMES	0x23
#define READ_OPERATIONAL_STATS	0x24
#define FLUSH_OPERATIONAL_STATS	0x25
#define SEND_TEST_FRAME		0x30
#define SEND_SIM_RIM_FRAME	0x31
#define SEND_XID_RESPONSE_FRAME	0x32
#define SET_PRI_STATION_XID_I_FIELD	0x33
#define LIST_PRI_STATIONS_ISSUING_XID_FRAMES	0x34
#define SET_MODEM_STATUS	0x40
#define READ_MODEM_STATUS	0x41
#define READ_COMMS_ERR_STATS	0x42
#define FLUSH_COMMS_ERR_STATS	0x43
#define SET_INTERRUPT_TRIGGERS	0x50
#define READ_INTERRUPT_TRIGGERS	0x51
#define SET_TRACE_CONFIGURATION	0x60
#define READ_TRACE_DATA		0x61
#define READ_TRACE_STATISTICS	0x62
#define READ_CODE_VERSION	0x70
#define READ_EXCEPTION_CONDITION	0x71
#define DISCARD_QUEUED_RX_I_FRAMES	0x72
#define BRIDGE_RX_AND_TX	0x73
#define READ_ADAPTER_CONFIGURATION	0xa0



#define	Z80_TIMEOUT_ERROR	0x0a
#define DATA_LENGTH_TOO_BIG	0x05	// to be changed
